package jp.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

@Path("/example")
public class ExampleResource {

	@GET
	@Produces("application/json")
	public Response index() {
		return Response.ok(new Example("Hello")).build();
	}

	@GET
	@Path("{name}")
	@Produces("application/json")
	public Response name(@PathParam("name") String name) {
		return Response.ok(new Example(33, name)).build();
	}
}
